<?php

namespace Datamints\DatamintsPiwik\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2015 Eva Rieger <e.rieger@datamints.com>, datamints GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

/**
 * Controller for the frontend plugin.
 */
class PiwikController extends ActionController {

	/**
	 * Piwik repository (for API calls)
	 *
	 * @var \Datamints\DatamintsPiwik\Domain\Repository\PiwikRepository
	 * @inject
	 */
	protected $piwikRepository;

	/**
	 * Service to get infos about Piwik
	 *
	 * @var \Datamints\DatamintsPiwik\Service\PiwikInfoService
	 * @inject
	 */
	protected $piwikInfoService;

	/**
	 * Shows Piwik opt-out iframe
	 */
	public function showOptOutAction() {
		$currentLanguage = '';

		// If language is set in FlexForm, the opt-out is translated to this language;
		// otherwise we try to get the current language key from the TypoScript configuration;
		// if language not set at all, default language will be determined by Piwik.
		if ($this->settings['optout']['language'] !== '**') {
			$currentLanguage = $this->settings['optout']['language'];
		}
		else {
			if (isset($GLOBALS['TSFE']->config['config']['language'])) {
				$currentLanguage = $GLOBALS['TSFE']->config['config']['language'];
			}
		}

		$this->view->assign('languageKey', $currentLanguage);
	}

}
