<?php

namespace Datamints\DatamintsPiwik\Hooks;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2015 Eva Rieger <e.rieger@datamints.com>, datamints GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface;
use TYPO3\CMS\Extbase\Object\ObjectManager;

/**
 * Hook for deleting deleting unnecessary tracking calls.
 */
class AdvancedTrackingCodeHook {

	const TRACK_PAGEVIEW_CALL = '_paq.push([\'trackPageView\']);'; // Default Piwik call to use for tracking
    const TRACK_SITESEARCH_CALL = '_paq.push([\'trackSiteSearch\''; // Default Piwik call to use for tracking


	/**
	 * Post-process the output on Search Results pages, where we already call piwikTracker.trackSiteSearch()
     * instead of calling piwikTracker.trackPageView().
	 *
	 * @param array $params Parameters of the hook
	 * @param \TYPO3\CMS\Frontend\Controller\TypoScriptFrontendController $parentObj Calling object
	 */
	function contentPostProcOutput($params, &$parentObj) {
		if (strpos($parentObj->content, self::TRACK_SITESEARCH_CALL)  !== false) {
			$parentObj->content = str_replace(self::TRACK_PAGEVIEW_CALL, '', $parentObj->content);
		}
	}

}
