<?php
if (!defined ("TYPO3_MODE")) {
	die ("Access denied.");
}

// Register Piwik connect command.
if (TYPO3_MODE === 'BE') {
	$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['extbase']['commandControllers'][] = 'Datamints\DatamintsPiwik\Command\PiwikConnectCommandController';
}

// Override class from indexed_search extension to track search:
/** @var $extbaseObjectContainer \TYPO3\CMS\Extbase\Object\Container\Container */
$extbaseObjectContainer = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Extbase\Object\Container\Container::class);
// Override backend configuration manager to fix determination of page id.
$extbaseObjectContainer->registerImplementation(\TYPO3\CMS\IndexedSearch\Controller\SearchController::class, \Datamints\DatamintsPiwik\IndexedSearch\Controller\IndexedSearchController::class);
unset($extbaseObjectContainer);

// This hook is called after caching (for modification of pages with COA_/USER_INT objects).
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/class.tslib_fe.php']['contentPostProc-output'][] = 'Datamints\DatamintsPiwik\Hooks\AdvancedTrackingCodeHook->contentPostProcOutput';

// Configure plugin for Piwik opt-out
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'Datamints.' . $_EXTKEY,
    'ShowOptOut',
    array(
    	'Piwik' => 'showOptOut'
	),
    array(
        'Piwik' => '',
    )
);

// Register icon for the content wizard.
/** @var \TYPO3\CMS\Core\Imaging\IconRegistry $iconRegistry */
$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
$iconRegistry->registerIcon(
	'ext-datamintspiwik-plugin-optout',
	\TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
	['source' => 'EXT:datamints_piwik/Resources/Public/Icons/PiwikWizard.svg']
);
